The Most Rated Seller List request retrieves a list of seller IDs for the most rated Amazon marketplace sellers:
- Ordering: lists are ordered starting with the most rated seller.
- Updates: lists are updated daily and contain up to 100,000 seller IDs.
Endpoint#
Parameters#
| Parameter | Required | Description |
|---|---|---|
key |
required | Your private API access key (<yourAccessKey>). |
domain |
required | Integer value for the Amazon locale you want to access (<domainId>). See the valid values below. |
Valid domain values#
| Domain ID | Locale |
|---|---|
| 1 | com |
| 2 | co.uk |
| 3 | de |
| 4 | fr |
| 5 | co.jp |
| 6 | ca |
| 8 | it |
| 9 | es |
| 10 | in |
| 11 | com.mx |
| 12 | com.br |
Token Cost#
Each Most Rated Seller List request has a fixed cost of 50 tokens.
Response#
The response contains an ordered string array field sellerIdList containing seller IDs, starting with the most rated seller.
Tip: You can use the Request Seller Information endpoint to look up more information about a seller ID from this list.
Response format:
{
"sellerIdList": [
"A1PA6795UKMFR9",
"A1RKKUPIHCS9HS",
"A3KYXGYZHZZIOF",
"...",
"ANOTHER_SELLER_ID"
]
}
Examples#
Example request#
Retrieve the most rated sellers on Amazon.com (domain=1):
https://api.keepa.com/topseller?key=YOUR_API_KEY&domain=1
KeepaAPI api = new KeepaAPI("YOUR_API_KEY");
Request r = Request.getTopSellerRequest(AmazonLocale.US);
api.sendRequest(r)
.done(result -> {
System.out.println(result.sellerIdList.length + " seller IDs");
})
.fail(failure -> System.out.println(failure));<?php
use Keepa\KeepaAPI;
use Keepa\API\Request;
use Keepa\API\ResponseStatus;
use Keepa\objects\AmazonLocale;
$api = new KeepaAPI("YOUR_API_KEY");
$response = $api->sendRequestWithRetry(Request::getTopSellerRequest(AmazonLocale::US));
if ($response->status == ResponseStatus::OK) {
print_r($response->sellerIdList);
}import requests
params = {"key": "YOUR_API_KEY", "domain": 1}
r = requests.get("https://api.keepa.com/topseller", params=params)
data = r.json()
seller_ids = data["sellerIdList"]
print(f"Received {len(seller_ids)} seller IDs")
print("Most rated seller:", seller_ids[0])const res = await fetch("https://api.keepa.com/topseller?key=YOUR_API_KEY&domain=1");
const data = await res.json();
const sellerIds = data.sellerIdList;
console.log(`Received ${sellerIds.length} seller IDs`);
console.log("Most rated seller:", sellerIds[0]);curl -s "https://api.keepa.com/topseller?key=YOUR_API_KEY&domain=1"Example response#
{
"timestamp": 1753620120000,
"tokensLeft": 250,
"refillIn": 42000,
"refillRate": 5,
"tokenFlowReduction": 0,
"tokensConsumed": 50,
"processingTimeInMs": 18,
"sellerIdList": [
"A1PA6795UKMFR9",
"A1RKKUPIHCS9HS",
"A3KYXGYZHZZIOF",
"A2L77EE7U53NWQ",
"A11IL2PNWYJU7H",
"A3P5ROKL5A1OLE",
"A1X6FK5RDHNB96"
]
}
Response shortened for readability; illustrative values. A full response contains up to 100,000 seller IDs, ordered starting with the most rated seller.